import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { GlobalService } from '../global.service';
import Swal from 'sweetalert2';


@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {

  login : any ={
    email : '',
    otp : ''
  }
  androidStore: string = '';
  appleStore: string = '';
  

  constructor(private router: Router, public globals : GlobalService) { }

  ngOnInit(): void {
    this.androidStore = this.globals.getAndroidQr();
    console.log(this.androidStore);
    this.appleStore = this.globals.getAppleQr();
    console.log(this.appleStore);
  }

  onSubmit() {
    localStorage.setItem('email',this.login.email)
    this.globals.getOtp(this.login.email).subscribe((res : any)=>{
      console.log(res);  
      this.login.otp = res.otp
    })
  }

  appLogin(){
  if(this.login.otp){
    this.router.navigateByUrl('/scanqr')
  }
  }
}
