import { Component, OnInit } from '@angular/core';
import { NgxQrcodeElementTypes, NgxQrcodeErrorCorrectionLevels } from '@techiediaries/ngx-qrcode';
import { GlobalService } from '../global.service';
import Swal from 'sweetalert2';
import { Router } from '@angular/router';

@Component({
  selector: 'app-scanqr',
  templateUrl: './scanqr.component.html',
  styleUrls: ['./scanqr.component.css']
})
export class ScanqrComponent implements OnInit {
  uniqueId: string ='';
  qrDetails : any = '';
  genOtp : any = '';
  phnNumber : any = '';
  

  constructor(public globals:GlobalService,private router: Router) {}

  ngOnInit(): void {

    this.globals.getQr().subscribe({
      next:(res : any)=>{
      console.log(res);
      this.qrDetails = res;
      this.uniqueId = res.secret.otpauth_url;
      console.log(this.uniqueId);
    },error: (err) => {Swal.fire("Error","Unable to load QR code","error")}
  }
)}
  validate(){
    let postObj = {
      totp : this.genOtp,
      email : localStorage.getItem('email'),
      secret : this.qrDetails.secret.base32,
      phone_number : this.phnNumber
    }
    this.globals.validateQr(postObj).subscribe({
      next:(res : any)=>{
      console.log(res);
      if(res.insert_to_db == 'True' && res.validated == true){
        Swal.fire("success", "App validated Successfully","success")
        this.router.navigateByUrl('/login')
      }
      else{
        Swal.fire("Error","Enter Valid Details","error")
      }
    },error: (err) => {Swal.fire("Error","Error in validating QR","error")}
  }
)}
  
}
